#ifndef QUESTNEWGAMEEVENT_H
#define QUESTNEWGAMEEVENT_H

#include "qw_abstractlevelevent.h"

/* QWNewGameEvent
 * Creates new savefile and begins the game from clear sheet. */

class QWNewGameEvent : public QWAbstractLevelEvent
{
private:
    QString str_savefile;

    QString composeFileName(const QString &str);

public:
    explicit QWNewGameEvent(const QString &savefile);
    virtual ~QWNewGameEvent() override {}

    void virtual execute() override;

    ////////////////////////

    void writeToJson(QJsonObject &event_data) override;
};

#endif // QUESTNEWGAMEEVENT_H
