#ifndef GLOBALMETADATA_H
#define GLOBALMETADATA_H

#include <QVariant>

/* QWGlobalMetadata
 * Provides config options and metadata for all application classes. */

class QJsonObject;
class QString;

class QWGlobalMetadata final
{
private:
    static QJsonObject config;

public:
    explicit QWGlobalMetadata() = delete;
    ~QWGlobalMetadata() = delete;

    static void load();
    static void save();

    ////////////////////////

    static QVariant valueBy(QString &&key);
    static void setValue(QString &&key, const QVariant &val) noexcept;
};

#endif // GLOBALMETADATA_H
