#ifndef QUESTENDLEVELEVENT_H
#define QUESTENDLEVELEVENT_H

#include "qw_abstractlevelevent.h"

/* QWEndLevelEvent
 * Sends its signal to QWLevelBuilder whenever it has to load next level. */

class QWEndLevelEvent : public QWAbstractLevelEvent
{
private:
    QString str_nlevel;

public:
    explicit QWEndLevelEvent(const QString &level);
    virtual ~QWEndLevelEvent() override {}

    void virtual execute() override;

    ////////////////////////

    void writeToJson(QJsonObject &event_data) override;
};

#endif // QUESTENDLEVELEVENT_H
