#ifndef QUESTQUITGAMEEVENT_H
#define QUESTQUITGAMEEVENT_H

#include "qw_abstractlevelevent.h"

/* QWQuitGameEvent
 * Immediately terminates current session. */

class QWQuitGameEvent : public QWAbstractLevelEvent
{
private:
    bool b_savegame;

public:
    explicit QWQuitGameEvent(bool savegame = false);
    virtual ~QWQuitGameEvent() override {}

    void virtual execute() override;

    ////////////////////////

    void writeToJson(QJsonObject &event_data) override;
};

#endif // QUESTQUITGAMEEVENT_H
